Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Set java platform and cleaned up notes

  • Loading branch information...
commit 4484d5128137648d2681046da69fa2d5c4a57bc4 1 parent f128ee7
@awksedgreep authored
View
3  CHANGELOG
@@ -1 +1,2 @@
-* 0.0.1 Initial Release
+* 0.0.1 Initial Release
+# 0.20.0 Set platform to java
View
2  README.rdoc
@@ -7,7 +7,7 @@ SNMP4JR is both a wrapper for SNMP4J and a library unto itself. I've noticed th
=== Features:
* Wrappers written in Ruby with ease of use in mind.
* Very high performance
-* Thread safe(only refers to SNMP4J calls, not wrappers until I finish testing them)
+* Thread safe
* Simple interface(SNMPMulti) for polling multiple devices with an OID list _or_ hand crafted PDU
* Full access to SNMP4J API functionality
View
3  Rakefile
@@ -2,12 +2,13 @@ require 'rubygems'
require 'rake'
require 'echoe'
-Echoe.new('SNMP4JR', '0.0.19') do |p|
+Echoe.new('SNMP4JR', '0.0.20') do |p|
p.description = "High Performance SNMP Library for JRuby which wraps SNMP4J"
p.url = "http://github.com/awksedgreep/SNMP4JR"
p.author = "Mark Cotner"
p.email = "mark.cotner@gmail.com"
p.ignore_pattern = ["tmp/*", "script/*"]
+ p.platform = "java"
p.development_dependencies= []
end
View
4 SNMP4JR.gemspec
@@ -3,10 +3,11 @@
Gem::Specification.new do |s|
s.name = %q{SNMP4JR}
s.version = "0.0.20"
+ s.platform = %q{java}
s.required_rubygems_version = Gem::Requirement.new(">= 1.2") if s.respond_to? :required_rubygems_version=
s.authors = ["Mark Cotner"]
- s.date = %q{2011-04-27}
+ s.date = %q{2011-12-13}
s.description = %q{High Performance SNMP Library for JRuby which wraps SNMP4J}
s.email = %q{mark.cotner@gmail.com}
s.extra_rdoc_files = ["CHANGELOG", "README.rdoc", "TODO.rdoc", "lib/SNMP4J.jar", "lib/SNMP4JR.rb", "lib/log4j-1.2.9.jar"]
@@ -17,7 +18,6 @@ Gem::Specification.new do |s|
s.rubyforge_project = %q{snmp4jr}
s.rubygems_version = %q{1.7.2}
s.summary = %q{High Performance SNMP Library for JRuby which wraps SNMP4J}
- s.platform = 'java'
if s.respond_to? :specification_version then
s.specification_version = 3
View
2  examples/snmpmulti_async.rb
@@ -4,7 +4,7 @@
require 'SNMP4JR'
#require '../lib/SNMP4JR'
-# Specify your targets.
+# Specify your targets
target1 = SNMPTarget.new({:name => 'macbookpro', :host => '127.0.0.1', :community => 'public'})
target2 = SNMPTarget.new({:name => 'macpro', :host => '192.168.0.254', :community => 'public'})
Please sign in to comment.
Something went wrong with that request. Please try again.